# Changelog

All notable changes to this project will be documented in this file.

## [0.2.6] - 2022-08-21

### Features

- Add MinGW-w64 `dlltool` program name configuration env var [#31](https://github.com/PyO3/python3-dll-a/pull/31)

## [0.2.5] - 2022-07-14

### Fixes

- Fix PyPy import library name in [#27](https://github.com/PyO3/python3-dll-a/pull/27)

## [0.2.4] - 2022-07-14

### Features

- Add PyPy support in [#25](https://github.com/PyO3/python3-dll-a/pull/25)

## [0.2.3] - 2022-05-17

### Features

- Add `zig dlltool` support in [#18](https://github.com/pyo3/python3-dll-a/pull/18)

### Fixes

- Improve error message when `dlltool` is not found in [#17](https://github.com/pyo3/python3-dll-a/pull/17)

## [0.2.2] - 2022-05-10

### Features

- Include `python3.def` itself in the Rust source in [#10](https://github.com/pyo3/python3-dll-a/pull/10)
- Add support for generating non-abi3 `pythonXY.dll` in [#15](https://github.com/pyo3/python3-dll-a/pull/15)

### CI

- Automate `stable_abi.txt` updates in [#6](https://github.com/pyo3/python3-dll-a/pull/6)

## [0.2.1] - 2022-04-17

### Features

- Add support for `lib.exe` from MSVC when running on Windows in [#2](https://github.com/pyo3/python3-dll-a/pull/2)

### Documentation

- Mention the new PyO3 integration feature
- Add maintenance section to README

### Miscellaneous Tasks

- Update stable_abi.txt to the latest main

### CI

- Add `rust.yml` workflow to build and run unit tests
- Add `publish.yml` workflow to publish the crate to `crates.io`

## [0.2.0] - 2022-03-21

### Features

- [**breaking**] Use `Path` type for the output directory arg

## [0.1.2] - 2022-03-15

### Documentation

- Document MSVC ABI environment support

### Features

- Add support for the LLVM `dlltool` flavor

### Testing

- Build import libraries for all targets

## [0.1.1] - 2022-03-14

### Documentation

- Add multi-arch `build.rs` examples

### Features

- Add support for the 32-bit target architecture

## [0.1.0] - 2022-02-21

### Documentation

- Add `build.rs` usage examples

### Features

- Generate module definition and invoke dlltool
- Implement Module-Definition file writing
- Implement 'stable_abi.txt' syntax parser

### Miscellaneous Tasks

- Add `git-cliff` config file
- Add a change log file

<!-- generated by git-cliff -->
